%{?nodejs_find_provides_and_requires}
%global enable_tests 0
Name:                nodejs-jade
Version:             1.3.1
Release:             1
Summary:             Jade template engine for Node.js
License:             MIT
URL:                 https://github.com/visionmedia/jade
Source0:             https://github.com/visionmedia/jade/archive/%{version}.tar.gz
Patch0:              %{name}-1.2.0-Fix-test-import-path.patch
BuildArch:           noarch
ExclusiveArch:       %{nodejs_arches} noarch
BuildRequires:       nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:       coffee-script npm(character-parser) npm(constantinople) npm(less) npm(markdown)
BuildRequires:       npm(mocha) npm(monocle) npm(should) npm(stylus) npm(transformers) npm(with)
BuildRequires:       uglify-js
%endif
%description
Jade is a high performance template engine heavily influenced by Haml and
implemented with JavaScript for Node.js.

%prep
%autosetup -n pug-%{version} -S git
%nodejs_fixdep character-parser '~1.2'
%nodejs_fixdep commander '>=2.1.0'
%nodejs_fixdep constantinople '~2.0'
%nodejs_fixdep mkdirp '^0.5.1'
%nodejs_fixdep monocle '~1.1.51'
%nodejs_fixdep transformers '>=2.1.0'
%nodejs_fixdep with '~3.0'

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/jade
cp -pr package.json index.js jade.js lib/ runtime.js \
    %{buildroot}%{nodejs_sitelib}/jade
mkdir -p %{buildroot}%{nodejs_sitelib}/jade/bin
install -p -D -m0755 bin/jade.js %{buildroot}%{nodejs_sitelib}/jade/bin/jade.js
mkdir -p %{buildroot}%{_bindir}
ln -sf %{nodejs_sitelib}/jade/bin/jade.js \
    %{buildroot}%{_bindir}/jade-nodejs
%nodejs_symlink_deps
%if 0%{?enable_tests}

%check
%nodejs_symlink_deps --check
%{nodejs_sitelib}/mocha/bin/mocha -R spec
%endif

%files
%doc jade-language.md jade.md LICENSE README.md Readme_zh-cn.md jade.md
%{nodejs_sitelib}/jade
%{_bindir}/jade-nodejs

%changelog
* Thu Aug 20 2020 wangxiao <wangxiao65@huawei.com> - 1.3.1-1
- Package init
